Tradfri. Aiocoap. What is this error about tinydtls.py?

as title:

2018-07-17 14:50:02 ERROR (MainThread) [homeassistant.core] Error doing job: Task exception was never retrieved
    Traceback (most recent call last):
      File "/usr/lib/python3.6/site-packages/aiocoap/transports/tinydtls.py", line 160, in _run
        message = yield from self._queue.get()
      File "/usr/lib/python3.6/site-packages/aiocoap/util/asyncio.py", line 40, in get
        priority, first = yield from self._inner.get()
      File "/usr/lib/python3.6/asyncio/queues.py", line 167, in get
        yield from getter
    concurrent.futures._base.CancelledError

    During handling of the above exception, another exception occurred:

    Traceback (most recent call last):
      File "/usr/lib/python3.6/site-packages/aiocoap/transports/tinydtls.py", line 169, in _run
        self.coaptransport.new_error_callback(-1, self)
      File "/usr/lib/python3.6/site-packages/aiocoap/protocol.py", line 203, in _dispatch_error
        for key, (monitor, cancellable_timeout) in self._active_exchanges.items():
    AttributeError: 'NoneType' object has no attribute 'items'

Traceback (most recent call last):
File “uvloop/sslproto.pyx”, line 245, in uvloop.loop._SSLPipe.feed_appdata
File “/usr/lib/python3.6/site-packages/aiocoap/protocol.py”, line 732, in timeout_request
del self.protocol.outgoing_requests[(request.token, request.remote)]
KeyError: (b’\x00\x00\x9dc’, <aiocoap.transports.tinydtls.DTLSClientConnection object at 0x721b4bd0>)

spontaneous reboots…

answering to myself here, hope anyone else reads it:

seems a Tradfri issue, could anyone conform this shouldn’t be a problem any longer in HomeAssistant? And if so, why did this start as of today…Hope @balloob could have some specifics on this, since you’re participating in the quoted discussion?

still an issue… + 2 years:

2020-07-04 11:56:02 ERROR (MainThread) [homeassistant.core] Error doing job: Task exception was never retrieved
Traceback (most recent call last):
  File "/usr/local/lib/python3.7/site-packages/aiocoap/transports/tinydtls.py", line 157, in _run
    yield from self._connecting
concurrent.futures._base.CancelledError

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/local/lib/python3.7/site-packages/aiocoap/transports/tinydtls.py", line 169, in _run
    self.coaptransport.new_error_callback(-1, self)
  File "/usr/local/lib/python3.7/site-packages/aiocoap/protocol.py", line 203, in _dispatch_error
    for key, (monitor, cancellable_timeout) in self._active_exchanges.items():
AttributeError: 'NoneType' object has no attribute 'items'

how to get finally rid of this.